// =============================  https://github.com/esp8266/Arduino
#include <SoftwareSerial.h>       // you can use direct wired Serial communication between the WEB module and this Master Node
const uint8_t txPin = D6,         // pin: TX->D6
              rxPin = D5;         // pin: RX->D5
String n = "\n>";
char c = ' ';

/** TX, RX, inverse, buffer size **/
SoftwareSerial swSer(rxPin, txPin, false, 256);

void setup() {
  Serial.begin(115200);
  swSer.begin(115200);
  Serial.println("\n...\n");
  Serial.println("SLAVE\n");

}

void loop() {
  while (swSer.available()) {
    Serial.print((char)swSer.read());
  }
  if (Serial.available()) {
    c = Serial.read();
    swSer.write(c);
    Serial.print(n);
    Serial.write(c);
    if (c == 10) n = "\n>";
    else n = "";
  }

}
