#include "simpleLuxBH1750.h"

simpleLux::simpleLux(uint16_t address) {  // BH1750 i2c address
  Wire.begin();
  BH1750 = address;
  Wire.beginTransmission(BH1750);
  Wire.write(0x10);
  Wire.endTransmission();
  simpleLux::getLux();  // the first values are sometimes wrong 
  simpleLux::getLux();
}

uint32_t simpleLux::getLux() { 
  byte buff[2];
  uint32_t val = 999999;
  Wire.beginTransmission(BH1750);
  Wire.requestFrom(BH1750, 2);
  if (Wire.available() == 2) {
    buff[0] = Wire.read();
    buff[1] = Wire.read();
    val = ((buff[0] << 8) | buff[1]) / 1.2;
  }
  Wire.endTransmission();  
  return val;   // if value 999999: lux is not read
}

