/** simpleTimeNtpWebRtcMillis **
 *  www.kendziorra.nl          *
 *  Ewald sr, 2018             *
 *  totally free to use        *
 *******************************/

#include "TimeMs.h"

TimeMs::TimeMs() {;}

time_t TimeMs::getTimestamp() {
  calcMs();
//  time_t u = now();
//  return u; 
}

void TimeMs::setTimestamp(time_t t) {  // UNIX Timestamp
  printf("%d\n", t);
  setTime(t); 
}

void TimeMs::correctTime(int32_t s) {
  setTime(now() + s);
}

void TimeMs::calcMs() {
  uint32_t stop, start, difference;
  stop = millis();
  start = startMillis;
  startMillis = millis();
  if(stop < start)  // overflow=true
    difference = (uint32_t)4294967295 - start + stop + 1;
  else                // overflow=false
    difference = stop - start; 
  difference += milliseconds; 
  milliseconds = difference % 1000;
  startMillis = millis() + 1; // + 0.001 sec. work time compensation
}

char * TimeMs::getMsTimestamp() { // timestamp STRING in millis (UNIX * 1000)
  char msT[14];  // timestamp in millis, 14 digits char string
  char m[4];
  calcMs();
  ultoa(now(), msT, 10);
  ultoa(milliseconds, m, 10);
  strcat(msT, "000");
  strcpy(msT + 13 - strlen(m), m);  // add millis to the UNIXtimestamp
  return msT;
}

