/*********** Degrees Stepper motor ****************
 * by Ewald Kendziorra sr, 2017 www.kendziorra.nl *
 **************************************************/
/*  A simple degrees stepper library
 *  ================================
 * 28YBJ-48 DC 5V 4 Phase 5 Wire Stepper Motor With ULN2003 Driver Board - 4096 steps
 * ========                                         =======                ====
/*
 *  as an example a 270 degree turn potentiometer control                  
 *  -----------------------------------------------------
 *  resolution: 1 degree/step, 0-359 degrees                                
 *  homePos (0*) detection, adjustable endPos (> 0* <= 359*)
 *  using DegreesStepper: degreesInit(pin);  // set home pin
 *    boolean ok;
 *    ok = findHome();         // find the home position (microswitch)
 *    ok = toDegree(135);      // turn potentiometer to 135 degrees
 *    ok = toDegree(48);       // turn potentiometer to 48 degrees
 *    ok = toDegree(homePos);  // turn potentiometer to homePos
 *    ok = toDegree(endPos);   // turn potentiometer to endPos
 *    uint16_t p = degPos;     // get current position in degrees
 */
