
/*************************************************
 * NHS 433MHz radio by Ewald Kendziorra sr, 2017 *
 *************************************************/

//  KaKu, what does this means?
/** KaKu: 433MHz http://www.klikaanklikuit.nl/home/ modules.
 *    KaKu = Klik Aan Klik Uit
 *        translated
 *    CoCo = Click On Click Off
 *  You can use other brands!
 *  Kaku modules use the library from https://bitbucket.org/fuzzillogic/433mhzforarduino/wiki/Home 
 *  When using other brands you can easily change the libraries and receive/tramsmit code. 
 **/

#ifndef _KAKU
#define _KAKU       
// https://bitbucket.org/fuzzillogic/433mhzforarduino/wiki/Home
#include <RemoteReceiver.h> 
#include <NewRemoteReceiver.h>
#include <InterruptChain.h>

/** prototype declaration **/
void initChain();
void receiveOld(unsigned long, unsigned int);  // can't uint32/16_t ?!
void receiveNew(NewRemoteCode);
void received();
/****************************/

char str[120],             // string buf
/** KaKu OLD **/
     code[16],             // received code 
/** KaKu OLD/NEW **/
     period[16],           // Detected duration in microseconds of 1T in the received signal
/** KaKu NEW **/
     switchType[16],       // off, on, dim, on_with_dim.
     address[16],          // Address of received code. [0..2^26-1]
     groupBit[16],         // Group bit set or not
     unit[16],             // Unit code of received code [0..15]
     dimLevelPresent[16],  // Dim level present or not. Will be available for switchType dim, but might be available for on or off too, depending on remote.
     dimLevel[16];         // Dim level [0..15]. Will be available if switchType is dim, on_with_dim or off_with_dim.

#endif
