#include "kaku.h"

/************** 
 *  KaKu OLD **
 **************/
void KaKu::kakuOld(char *_reverse, char *_status, char *_period, char *_code) {
  uint32_t v, t; 
  v = t = strtoul(_code, NULL, 0);  // ON/DOWN code
  if (strcmp(_reverse, _status) == 0) v = v - 2;  // OFF-code = ON-code - 2
  /** transmit **/
  if (v == t) {
    t -= 2;
    RemoteTransmitter::sendCode(kakuPin, t, atoi(_period), 3);
    delay(100);
  }
  RemoteTransmitter::sendCode(kakuPin, v, atoi(_period), 3);
}

/************** 
 *  KaKu NEW **
 **************/
void KaKu::kakuNew(char *_reverse, char *_status, char *_period, char *_address, char *_dimLevelPresent, char *_dimLevel, char *_unit, char *_groupBit) {
  /** reverse? 0==0 or 1==1 is OFF else ON **/
  uint8_t f = atoi(_status);
  if (f < dim) {
    f = off;
    if (strcmp(_reverse, _status) != 0) f = on;  // OFF or ON
  }
  /** transmit **/
  NewRemoteTransmitter transmitter(atoi(_address), kakuPin, atoi(_period));
  if (f == dim || (f == on && atoi(_dimLevelPresent))) {  // Dimmer signal transmit
    if (atoi(_groupBit)) transmitter.sendGroupDim(atoi(_dimLevel));
    else transmitter.sendDim(atoi(_unit), atoi(_dimLevel));
  } 
  else { // On/Off signal transmit
    bool isOn = f == on;
    if (atoi(_groupBit)) transmitter.sendGroup(isOn);  // Send to the group
    else transmitter.sendUnit(atoi(_unit), isOn);  // Send to a single unit
  }
}

