#ifndef KAKU_H
#define KAKU_H       

//  KaKu, what does this means?
/** KaKu: 433MHz http://www.klikaanklikuit.nl/home/ modules.
 *    KaKu = Klik Aan Klik Uit
 *        translated
 *    CoCo = Click On Click Off
 *  You can use other brands!
 *  Kaku modules use the library from https://bitbucket.org/fuzzillogic/433mhzforarduino/wiki/Home 
 *  When using other brands you can easily change the libraries and receive/tramsmit code. 
 **/
 
#include <RemoteTransmitter.h>
#include <NewRemoteTransmitter.h>
//#include "miscellany.h"

enum {off, 
      on, 
      dim
};

class KaKu {
  public:
    KaKu(uint8_t _pin) {kakuPin = _pin;}
    void kakuOld(char *_reverse, char *_status, char *_period, char *_code);
    void kakuNew(char *_reverse, char *_status, char *_period, char *_address, char *_dimLevelPresent, char *_dimLevel, char *_unit, char *_groupBit);

  private:
    uint8_t kakuPin;
};

#endif
