#include <simpleLuxBH1750.h>

uint8_t sdaPin = D2,  // SDA->D2
        sclPin = D1;  // SCL->D1
        
simpleLux Lux = simpleLux(0x23);  // 0x23 - BH1750 i2c address


void setup() {
  Serial.begin(115200);
  Serial.setDebugOutput(true); 
  Serial.println('\n');
  Wire.begin(sdaPin, sclPin);
}

void loop() {
  uint32_t l = Lux.getLux();    // if value 999999: lux is not read
  printf("\nLux: %u\n\n", l);
  delay(2000);
}
