/************ Thermistor temperature **************
 * by Ewald Kendziorra sr, 2017 www.kendziorra.nl *
 **************************************************/
 
/*  A /** Steinhart-Hart model equation
 *    to get the right A,B and C values
 * Input resistance-temperature pairs
 *   R (Ω)       T (°C) Rn-values: Thermistor resistans by Tn (use a mulimeter)
 *   ------------------ Tn-values: based on the required temperature range (use a thermometer)
 *   R1: 25000   T1:  5 (EXAMPLE VALUES)
 *   R2: 10000   T2: 25
 *   R3:  4000   T3: 45
 *===========================================================   
 *   R = 10000 Ω  series resistor resistans ~25*C (use a mulimeter) (EXAMPLE VALUE)
 *       value based on the 25*C Thermistor resistans (use a mulimeter)
 * schematic
 * (GND) ---- (Resistor) ----|---- (Thermistor) ---- (+VCC)
 *                           |
 *                       Analog PINn
 **/ 
