#ifndef SIMPLETIMERS_H
#define SIMPLETIMERS_H

#include <Arduino.h>

class simpleTimers {
   public:
    /** add a timer **/
    simpleTimers(uint32_t ms, boolean start);
    /** start/stop a timer **/
    void tmrStart(boolean start);
    /** stop timer, set time, (start timer) **/
    void tmrReset(uint32_t ms, boolean start);
    /** get interval in millis **/
    uint32_t tmrMs();
    /** timers time? **/
    boolean tmrTime();

  private:
    uint32_t tmrOffset = 0,
             tmrMillis = 0;
    boolean tmrRun = false;    
    /** get the number of millis after _start with overflow correction **/
    uint32_t getMillis(uint32_t _start);
};

#endif
